All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Infinity Norm Diff
Statistical Functions

Performs the infinity norm on the samples of two input signals' difference. More...

## Functions

NppStatus | nppsNormDiffInfGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNormDiff_Inf_32f. More...
NppStatus | nppsNormDiffInfGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsNormDiff_Inf_32f_Ctx (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float C norm method on two vectors' difference More...
NppStatus | nppsNormDiff_Inf_32f (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormDiffInfGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNormDiff_Inf_64f. More...
NppStatus | nppsNormDiffInfGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsNormDiff_Inf_64f_Ctx (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float C norm method on two vectors' difference More...
NppStatus | nppsNormDiff_Inf_64f (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormDiffInfGetBufferSize_16s32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNormDiff_Inf_16s32f. More...
NppStatus | nppsNormDiffInfGetBufferSize_16s32f (int nLength, int *hpBufferSize)
NppStatus | nppsNormDiff_Inf_16s32f_Ctx (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer C norm method on two vectors' difference, return value is 32-bit float. More...
NppStatus | nppsNormDiff_Inf_16s32f (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormDiffInfGetBufferSize_32fc32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNormDiff_Inf_32fc32f. More...
NppStatus | nppsNormDiffInfGetBufferSize_32fc32f (int nLength, int *hpBufferSize)
NppStatus | nppsNormDiff_Inf_32fc32f_Ctx (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float complex C norm method on two vectors' difference, return value is 32-bit float. More...
NppStatus | nppsNormDiff_Inf_32fc32f (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormDiffInfGetBufferSize_64fc64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNormDiff_Inf_64fc64f. More...
NppStatus | nppsNormDiffInfGetBufferSize_64fc64f (int nLength, int *hpBufferSize)
NppStatus | nppsNormDiff_Inf_64fc64f_Ctx (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit float complex C norm method on two vectors' difference, return value is 64-bit float. More...
NppStatus | nppsNormDiff_Inf_64fc64f (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer)
NppStatus | nppsNormDiffInfGetBufferSize_16s32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsNormDiff_Inf_16s32s_Sfs. More...
NppStatus | nppsNormDiffInfGetBufferSize_16s32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsNormDiff_Inf_16s32s_Sfs_Ctx (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp32s *pNorm, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer C norm method on two vectors' difference, return value is 32-bit signed integer. More...
NppStatus | nppsNormDiff_Inf_16s32s_Sfs (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp32s *pNorm, int nScaleFactor, Npp8u *pDeviceBuffer)

## Detailed Description

Performs the infinity norm on the samples of two input signals' difference.

## Function Documentation

NppStatus nppsNormDiff_Inf_16s32f | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNormDiff_Inf_16s32f_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer C norm method on two vectors' difference, return value is 32-bit float.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormDiffInfGetBufferSize_16s32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormDiff_Inf_16s32s_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp32s * | pNorm,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNormDiff_Inf_16s32s_Sfs_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp32s * | pNorm,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer C norm method on two vectors' difference, return value is 32-bit signed integer.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormDiffInfGetBufferSize_16s32s_Sfs to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormDiff_Inf_32f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNormDiff_Inf_32f_Ctx | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float C norm method on two vectors' difference

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormDiffInfGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormDiff_Inf_32fc32f | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNormDiff_Inf_32fc32f_Ctx | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float complex C norm method on two vectors' difference, return value is 32-bit float.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormDiffInfGetBufferSize_32fc32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormDiff_Inf_64f | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNormDiff_Inf_64f_Ctx | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float C norm method on two vectors' difference

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormDiffInfGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormDiff_Inf_64fc64f | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsNormDiff_Inf_64fc64f_Ctx | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit float complex C norm method on two vectors' difference, return value is 64-bit float.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormDiffInfGetBufferSize_64fc64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormDiffInfGetBufferSize_16s32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormDiffInfGetBufferSize_16s32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNormDiff_Inf_16s32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormDiffInfGetBufferSize_16s32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormDiffInfGetBufferSize_16s32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNormDiff_Inf_16s32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormDiffInfGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormDiffInfGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNormDiff_Inf_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormDiffInfGetBufferSize_32fc32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormDiffInfGetBufferSize_32fc32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNormDiff_Inf_32fc32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormDiffInfGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormDiffInfGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNormDiff_Inf_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsNormDiffInfGetBufferSize_64fc64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsNormDiffInfGetBufferSize_64fc64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsNormDiff_Inf_64fc64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2020 NVIDIA Corporation